跳转到主要内容
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
/
snapshots
DexPool - Liquidity Snapshots
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "snapshotTime": 1705312800000,
      "tokenA": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "vaultAmount": "1000000000000"
      },
      "tokenB": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "vaultAmount": "1000000000000"
      },
      "tvlInNative": "5000",
      "tvlInUsd": "1000000.45"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
poolAddress
string
必填

A pool address

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev
time
integer<int64>

Target Unix timestamp for snapshot query

响应

200 - application/json

Successful response

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="